Bug 863251 - (CVE-2012-1590) CVE-2012-1590 Drupal 7: Access bypass - forum listing
CVE-2012-1590 Drupal 7: Access bypass - forum listing
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120502,reported=2...
: Security
Depends On: 863256 956481 956483
Blocks: 863255
  Show dependency treegraph
 
Reported: 2012-10-04 16:04 EDT by Kurt Seifried
Modified: 2015-07-31 02:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: drupal7-7.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 11:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-10-04 16:04:03 EDT
The Drupal reports that Drupal 7.12 contains the following vulnerability: 

Access bypass - forum listing

CVE: CVE-2012-1590

Drupal core's forum lists fail to check user access to nodes when displaying 
them in the forum overview page. If an unpublished node was the most recently 
updated in a forum then users who should not have access to unpublished forum 
posts were still be able to see meta-data about the forum post such as the 
post title.

External reference:
http://drupal.org/node/1557938
Comment 2 Kurt Seifried 2013-04-25 01:20:31 EDT
Created drupal7 tracking bugs for this issue

Affects: fedora-all [bug 956481]
Comment 3 Kurt Seifried 2013-04-25 01:22:54 EDT
Created drupal7 tracking bugs for this issue

Affects: epel-all [bug 956483]

Note You need to log in before you can comment on or make changes to this bug.